SDL_SW_YUVTexture Struct Reference

`#include <SDL_yuv_sw_c.h>`

Collaboration diagram for SDL_SW_YUVTexture:
[legend]

## Data Fields

Uint32 | format
Uint32 | target_format
int | w
int | h
Uint8 * | pixels
Uint16 | pitches [3]
Uint8 * | planes [3]
SDL_Surface * | stretch
SDL_Surface * | display

## Detailed Description

Definition at line 27 of file SDL_yuv_sw_c.h.

## Field Documentation

## display

SDL_Surface* SDL_SW_YUVTexture::display

Definition at line 40 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), and SDL_SW_DestroyYUVTexture().

## format

Uint32 SDL_SW_YUVTexture::format

Definition at line 29 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), SDL_SW_CreateYUVTexture(), SDL_SW_LockYUVTexture(), SDL_SW_UpdateYUVTexture(), and SDL_SW_UpdateYUVTexturePlanar().

## h

int SDL_SW_YUVTexture::h

Definition at line 31 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), SDL_SW_CreateYUVTexture(), SDL_SW_LockYUVTexture(), SDL_SW_UpdateYUVTexture(), and SDL_SW_UpdateYUVTexturePlanar().

## pitches

Uint16 SDL_SW_YUVTexture::pitches[3]

Definition at line 35 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), SDL_SW_CreateYUVTexture(), SDL_SW_LockYUVTexture(), SDL_SW_QueryYUVTexturePixels(), and SDL_SW_UpdateYUVTexture().

## pixels

Uint8* SDL_SW_YUVTexture::pixels

Definition at line 32 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CreateYUVTexture(), SDL_SW_DestroyYUVTexture(), SDL_SW_UpdateYUVTexture(), and SDL_SW_UpdateYUVTexturePlanar().

## planes

Uint8* SDL_SW_YUVTexture::planes[3]

Definition at line 36 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), SDL_SW_CreateYUVTexture(), SDL_SW_LockYUVTexture(), SDL_SW_QueryYUVTexturePixels(), and SDL_SW_UpdateYUVTexture().

## stretch

SDL_Surface* SDL_SW_YUVTexture::stretch

Definition at line 39 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), and SDL_SW_DestroyYUVTexture().

## target_format

Uint32 SDL_SW_YUVTexture::target_format

Definition at line 30 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), and SDL_SW_CreateYUVTexture().

## w

int SDL_SW_YUVTexture::w

Definition at line 31 of file SDL_yuv_sw_c.h.

Referenced by SDL_SW_CopyYUVToRGB(), SDL_SW_CreateYUVTexture(), SDL_SW_LockYUVTexture(), SDL_SW_UpdateYUVTexture(), and SDL_SW_UpdateYUVTexturePlanar().

The documentation for this struct was generated from the following file:

- src/render/SDL_yuv_sw_c.h